.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:47:33 1993 by Rik Faith (faith@cs.unc.edu)
.TH MODF 3  "June 6, 1993" "" "Linux Programmer's Manual"
.SH NAME
modf \- extract signed integral and fractional values from floating-point
number
.SH SYNOPSIS
.nf
.B #include <math.h>
.sp
.BI "double modf(double " x ", double *" iptr );
.fi
.SH DESCRIPTION
The \fBmodf()\fP function breaks the argument \fIx\fP into an integral
part and a fractional part, each of which has the same sign as \fIx\fP.
The integral part is stored in \fIiptr\fP.
.SH "RETURN VALUE"
The \fBmodf()\fP function returns the fractional part of \fIx\fP.
.SH "CONFORMING TO"
SVID 3, POSIX, BSD 4.3, ISO 9899
.SH "SEE ALSO"
.BR frexp "(3), " ldexp (3)
